Đến nội dung


Hình ảnh
- - - - -

Nhờ viết lệnh thay thế lệnh Objectscale


  • Please log in to reply
26 replies to this topic

#21 790312

790312

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 204 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 20 May 2011 - 07:03 AM

Nên thêm cái này nữa:
(defun c:CAC nil
(if (not cal) (arxload "geomcal"))(c:cal))

Dòng chữ màu xanh có tác dụng gì vậy bác.Thanks.
  • 0

#22 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 20 May 2011 - 08:17 AM

lệnh cal đuợc nhúng vào cad bằng 1 arx là geomcal. trong 1 vài truờng hợp file này không tự động đuợc load vào cad. vì thế cần kiểm tra xem nó đã đuợc load vào cad hay chưa. nếu chưa thì load nó vào rồi mới thực hiện lệnh CAL
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#23 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 20 May 2011 - 08:18 AM

lệnh cal đuợc nhúng vào cad bằng 1 arx là geomcal. trong 1 vài truờng hợp file này không tự động đuợc load vào cad. vì thế cần kiểm tra xem nó đã đuợc load vào cad hay chưa. nếu chưa thì load nó vào rồi mới thực hiện lệnh CAL

Dòng chữ màu xanh có tác dụng gì vậy bác.Thanks.

Bạn xem bài viết số #53 của Tue_NV trong topic này :
http://www.cadviet.c...pic=29918&st=40
  • 1

#24 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 20 May 2011 - 10:47 PM

Hôm nay mò thêm 1 cách nữa để hiện hộp thoại cô em objectscale cùng 1 số em khác, share với các bác luôn : sử dụng vla-sendcommand
(vla-sendcommand (vla-get-activedocument(vlax-get-acad-object)) "objectscale\r")
Với cách này ta có thể gọi cả các function trong Lisp hoặc thực hiện các lệnh kiểu batch,script, vì nó tương đương với việc sendkey, khá là hay ^^
  • 3

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#25 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 21 May 2011 - 12:56 AM

Cụ thể hơn về ứng dụng của thằng này đi mod ơi. VLA em gà lắm :huh:
Hình như nó có thể chạy thay cho 1 đoạn Scrip thì fải
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#26 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 21 May 2011 - 06:39 AM

Cụ thể hơn về ứng dụng của thằng này đi mod ơi. VLA em gà lắm :huh:
Hình như nó có thể chạy thay cho 1 đoạn Scrip thì fải

Cảm ơn Ketxu.
@Thaistreetz. Ví dụ đây bạn :

(vla-sendcommand (vla-get-activedocument(vlax-get-acad-object))
"-la p n 0
n Doors, Walls, Centerlines
c 10 Doors
c 10 Walls
c 3 pantone
tc Centerlines
l center Centerlines
lw 0.35 Doors
lw 0.6 Walls
lw 0.25 Centerlines
\n")
Nó có thể chạy thay cho 1 script như bạn nói. Có thể gọi 1 function Lisp, có thể gọi 1 số hộp thoại của CAD. và đương nhiên, nó có thể gọi lệnh của Express nữa. Và ta có thể viết lệnh tắt để sử dụng.
ví dụ :
(vla-sendcommand (vla-get-activedocument(vlax-get-acad-object)) "superhatch ")
(1 Khoảng cách space cuối chữ superhatch)

Trong code này :
(vla-sendcommand (vla-get-activedocument(vlax-get-acad-object)) "objectscale\r")

có thể thay \r bằng \n
có thể thay \r bằng 1 khoảng trắng space
\r tức là enter
\n tức là xuống dòng
space cũng tức là enter
  • 2

#27 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 21 May 2011 - 08:37 AM

Hay quá! truớc đên giờ em toàn fải made scrip ra temp, chạy xong rồi lại xoá. có cái này thì tiện hơn rồi, cảm ơn bác
Chán thật! bấm vote thôi mà cũng bị giới hạn. bác Hoành thật khó hiểu! <_<
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD